package com.gic.enterprise.web.vo;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;

/**
 * @author: liuzelin
 * @date: 2020/4/21 16:04
 * @description:
 */
public class MemberDataVO implements Serializable {
    private static final long serialVersionUID = 7241937734014989108L;

    private String date;

    private Integer newMemberCount;

    private Integer serviceStoreMemberAllCount;

    private Integer openStoreMemberAllCount;

    /***********************/
    /**
     * 品牌服务门店总数
     */
    private Integer brandServiceTotal;

    /**
     * 归属品牌服务门店总数
     */
    private Integer belongBrandServiceTotal;

    /**
     * 开卡门店会员总数
     */
    private Integer openCardTotal;

    /**
     * 开卡门店新增会员
     */
    private Integer openCardNew;

    private String dateData;


    public MemberDataVO(String date) {
        this.date = date;
    }

    public MemberDataVO() {
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getNewMemberCount() {
        return newMemberCount;
    }

    public void setNewMemberCount(Integer newMemberCount) {
        this.newMemberCount = newMemberCount;
    }

    public Integer getServiceStoreMemberAllCount() {
        return serviceStoreMemberAllCount;
    }

    public void setServiceStoreMemberAllCount(Integer serviceStoreMemberAllCount) {
        this.serviceStoreMemberAllCount = serviceStoreMemberAllCount;
    }

    public Integer getOpenStoreMemberAllCount() {
        return openStoreMemberAllCount;
    }

    public void setOpenStoreMemberAllCount(Integer openStoreMemberAllCount) {
        this.openStoreMemberAllCount = openStoreMemberAllCount;
    }

    public Integer getBrandServiceTotal() {
        return brandServiceTotal;
    }

    public MemberDataVO setBrandServiceTotal(Integer brandServiceTotal) {
        this.brandServiceTotal = brandServiceTotal;
        return this;
    }

    public Integer getBelongBrandServiceTotal() {
        return belongBrandServiceTotal;
    }

    public MemberDataVO setBelongBrandServiceTotal(Integer belongBrandServiceTotal) {
        this.belongBrandServiceTotal = belongBrandServiceTotal;
        return this;
    }

    public Integer getOpenCardTotal() {
        return openCardTotal;
    }

    public MemberDataVO setOpenCardTotal(Integer openCardTotal) {
        this.openCardTotal = openCardTotal;
        return this;
    }

    public Integer getOpenCardNew() {
        return openCardNew;
    }

    public MemberDataVO setOpenCardNew(Integer openCardNew) {
        this.openCardNew = openCardNew;
        return this;
    }

    public String getDateData() {
        return dateData;
    }

    public MemberDataVO setDateData(String dateData) {
        this.dateData = dateData;
        return this;
    }

    @Override
    public String toString() {
        return "MemberDataVO{" +
                "date='" + date + '\'' +
                ", newMemberCount=" + newMemberCount +
                ", serviceStoreMemberAllCount=" + serviceStoreMemberAllCount +
                ", openStoreMemberAllCount=" + openStoreMemberAllCount +
                ", brandServiceTotal=" + brandServiceTotal +
                ", belongBrandServiceTotal=" + belongBrandServiceTotal +
                ", openCardTotal=" + openCardTotal +
                ", openCardNew=" + openCardNew +
                ", dateData='" + dateData + '\'' +
                '}';
    }
}
