package com.gic.operation.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.response.EnterpriseRestResponse;
import com.gic.enterprise.service.CustomSettingApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class CustomSettingController {
    @Autowired
    CustomSettingApiService customSettingApiService;

    @RequestMapping("save")
    @ResponseBody
    public RestResponse save(String tableName, String param){
        ServiceResponse<String> save = customSettingApiService.save(tableName, param);
        if(save.isSuccess()){
            return RestResponse.success();
        }
        return EnterpriseRestResponse.failure(save);
    }
}
